Name:          iperf
Version:       2.0.5
Release:       51.1
Summary:       A tool for measuring Internet bandwidth performance
License:       Other License(s), see package
Group:         Productivity/Networking/Diagnostic
URL:           http://sourceforge.net/projects/iperf/
Source:        %{name}-%{version}.tar.bz2
Source1:       iperf.init
Source2:       sysconfig.iperf
Buildroot:     %{_tmppath}/%{name}-root
BuildRequires: gcc-c++

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, datagram loss.

Authors:
-------
    Mark Gates
    Ajay Tirumala
    Jim Ferguson
    Jon Dugan
    Feng Qin
    Kevin Gibbs
    John Estabrook

%debug_package
%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
%__make

%install
rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} install
install -D -m 0755 %{SOURCE1} %{buildroot}/etc/init.d/iperf
install -D -m 0644 %{SOURCE2} %{buildroot}/var/adm/fillup-templates/sysconfig.iperf
install -d %{buildroot}/usr/sbin
ln -sf ../../etc/init.d/iperf %{buildroot}/usr/sbin/rciperf

%preun
%{stop_on_removal}

%post
%{fillup_and_insserv -Y iperf}

%postun
%{restart_on_update}
%{insserv_cleanup}

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc doc/dast.gif doc/*.html
%{_bindir}/iperf
%config /etc/init.d/iperf
%{_mandir}/man1/iperf.1.gz
%{_sbindir}/rciperf
/var/adm/fillup-templates/sysconfig.iperf

%changelog
* Tue Mar 29 2011 Carsten Schoene <cs@linux-administrator.com> - 2.0.5-1
- update to release 2.0.5

* Fri Nov 14 2008 Carsten Schoene <cs@linux-administrator.com> - 2.0.4-3
- Version 2.0.4 allows the selection of the TCP congestion control algorithm under Linux, adds a manpage, and fixes some bugs. 

* Fri Jun 29 2007 - James Oakley <jfunk@funktronics.ca> - 2.0.2-2
- Add init script

* Tue Feb 13 2007 - James Oakley <jfunk@funktronics.ca> - 2.0.2-1
- Initial release
